summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrew Janke <floss@apjanke.net>2016-05-30 18:53:54 -0400
committerMarc Cornellà <marc.cornella@live.com>2016-05-31 00:53:54 +0200
commit483f1208a5fc1fbe129958452388bdc3c3409e1e (patch)
treeddd71e8045654c0df021f2a237cc513b7fd97461 /tools
parent9e8f417dab3532fd26ff1e02fd81916261ef55d0 (diff)
downloadzsh-483f1208a5fc1fbe129958452388bdc3c3409e1e.tar.gz
zsh-483f1208a5fc1fbe129958452388bdc3c3409e1e.tar.bz2
zsh-483f1208a5fc1fbe129958452388bdc3c3409e1e.zip
installer: fix ordering of cygwin msys git check (#4557)
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 8cba52085..199d29419 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -53,11 +53,6 @@ main() {
echo "Error: git is not installed"
exit 1
}
- env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
- printf "Error: git clone of oh-my-zsh repo failed\n"
- exit 1
- }
-
# The Windows (MSYS) Git is not compatible with normal use on cygwin
if [ "$OSTYPE" = cygwin ]; then
if git --version | grep msysgit > /dev/null; then
@@ -66,6 +61,11 @@ main() {
exit 1
fi
fi
+ env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+ printf "Error: git clone of oh-my-zsh repo failed\n"
+ exit 1
+ }
+
printf "${BLUE}Looking for an existing zsh config...${NORMAL}\n"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then